Zum Hauptinhalt springen

Check if the customer profile has a valid contract partner configured

GET/v2/customers/{customerId}/legally-competent
API-Version
v2
Request-Methode
GET
Operation-ID
customer-is-customer-legally-competent

Request​

  • customerIdstringrequired

    The uuid of the customer to be checked

Responses​

Format
application/json
Beschreibung

Check if customer is allowed to order a paid item.

  • isLegallyCompetentboolean
Content-Type: application/json

{
"isLegallyCompetent": true
}
{
"properties": {
"isLegallyCompetent": {
"type": "boolean"
}
},
"type": "object"
}

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/customers/string/legally-competent
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.customer.isCustomerLegallyCompetent({
"customerId": "string"
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\Customer\IsCustomerLegallyCompetent\IsCustomerLegallyCompetentRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new IsCustomerLegallyCompetentRequest(
customerId: "string"
));
$response = $client->customer()->isCustomerLegallyCompetent($request);

var_dump($response->getBody();

Auf dieser Seite